-- select all the non-comment data about session(s)
select l.id as 'lab_Session.id',l.lab_start_time, l.lab_end_time, l.labview_computer,l.reported,u.login_name, u.pseudonym, ul.cleaned_up from LAB_SESSION l, USER u, USER_LAB_RECORD ul where u.id = ul.USER_ID and l.id = ul.LAB_SESSION_ID
and ...
;

--
-- to remove a particular set of lab sessions: (fill in the where ... clauses all the same)
-- 
delete from SYSTEM_ACCESS_EVENT where SYSTEM_ACCESS_EVENT.USER_LAB_RECORD_ID in (
  select ID from USER_LAB_RECORD where USER_LAB_RECORD.LAB_SESSION_ID in (
    select ID from LAB_SESSION where ...;
  );
);
delete from LAB_COMMENT where LAB_COMMENT.USER_LAB_RECORD_ID in (
  select ID from USER_LAB_RECORD where USER_LAB_RECORD.LAB_SESSION_ID in (
    select ID from LAB_SESSION where ...;
  );
);
delete from USER_LAB_RECORD where USER_LAB_RECORD.LAB_SESSION_ID in (
  select id from LAB_SESSION where ...;
);
delete from LAB_SESSION_COMMENT where LAB_SESSION_COMMENT.LAB_SESSION_ID in (
    select ID from LAB_SESSION where ...;
);
delete from LAB_SESSION where ...;
--
--

